//----------------------------------------------------------------------------
//
// Copyright (C) Sartorius Stedim Data Analytics AB 2017 -
//
// Use, modification and distribution are subject to the Boost Software
// License, Version 1.0. (See http://www.boost.org/LICENSE_1_0.txt)
//
//----------------------------------------------------------------------------

#include "stdafx.h"
#include "SQMCOMSample.h"
#include "SQMCOMSampleDlg.h"

BEGIN_MESSAGE_MAP(CSQMCOMSampleApp, CWinApp)
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

CSQMCOMSampleApp::CSQMCOMSampleApp()
{
}

// The one and only CSQMCOMSampleApp object
CSQMCOMSampleApp theApp;

BOOL CSQMCOMSampleApp::InitInstance()
{
   CWinApp::InitInstance();

   CoInitializeEx(nullptr, COINIT_SPEED_OVER_MEMORY);
   AfxEnableControlContainer();

   CSQMCOMSampleDlg dlg;

   m_pMainWnd = &dlg;

   dlg.DoModal();

   // Since the dialog has been closed, return FALSE so that we exit the
   //  application, rather than start the application's message pump.
   return FALSE;
}

int CSQMCOMSampleApp::ExitInstance()
{
   int iRet = CWinApp::ExitInstance();

   // UnInit COM
   CoUninitialize();

   return iRet;
}
